API reference
Income
NQD API Income reference. List income records; Retrieve income record; Create income records
GET
List income records /v1/incomeGET
Retrieve income record /v1/income/{incomeId}POST
Create income records /v1/incomePUT
Upsert income record /v1/income/{incomeId}DELETE
Delete income record /v1/income/{incomeId}PUT
Upsert income records in a batch /v1/incomeGET
List applied entries for an income record /v1/income/{incomeId}/entriesPOST
Add applied entry to an income record /v1/income/{incomeId}/entriesPATCH
Partially update applied entry on an income record /v1/income/{incomeId}/entries/{entryId}DELETE
Remove applied entry from an income record /v1/income/{incomeId}/entries/{entryId}PUT
Reorder applied entries for an income record /v1/income/{incomeId}/entries/reorderGET
List applied modifiers for an income record /v1/income/{incomeId}/modifiersPOST
Add applied modifier to an income record /v1/income/{incomeId}/modifiersPATCH
Partially update applied modifier on an income record /v1/income/{incomeId}/modifiers/{modifierId}DELETE
Remove applied modifier from an income record /v1/income/{incomeId}/modifiers/{modifierId}PUT
Reorder applied modifiers for an income record /v1/income/{incomeId}/modifiers/reorderGET
List transactions /v1/income/{sourceId}/transactionsPOST
Record a payment /v1/income/{sourceId}/transactionsEvery operation uses the same Core contract as the dashboard. Request and response fields, examples, and code samples are generated from the current API descriptor.